For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
            • GETList Abandoned Cart Email Templates
            • POSTCreate Abandoned Cart Email Template
            • GETGet Email Template
            • PUTUpdate Email Template
            • DELDelete Email Template
            • GETGet Default Email Template
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentAbandoned Cart Emails

Get Email Template

GET
https://api.bigcommerce.com/stores/:store_hash/v3/marketing/abandoned-cart-emails/:id
GET
/stores/:store_hash/v3/marketing/abandoned-cart-emails/:id
$curl https://api.bigcommerce.com/stores/store_hash/v3/marketing/abandoned-cart-emails/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": {
3 "id": 1,
4 "notify_at_minutes": 60,
5 "coupon_code": "FF11-22X4",
6 "template": {
7 "subject": "Complete your purchase at Acme Store",
8 "body": "Complete your purchase <a href=\"{{ notification.checkout_link }}\">here</a> to save your cart.",
9 "translations": [
10 {
11 "locale": "en",
12 "keys": {
13 "greeting": "Hello",
14 "call_to_action": "Complete your purchase",
15 "footer": "Thank you for shopping with us!"
16 }
17 }
18 ]
19 },
20 "is_active": true,
21 "sent_num": 25
22 },
23 "meta": {}
24}
Get a single Abandoned Cart Email template.
Was this page helpful?
Previous

Create Abandoned Cart Email Template

Next

Update Email Template

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired>=0
ID of the Abandoned Cart Email template.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
dataobject
metaobject
Response metadata.